.hamburger-btn{
    width: 45px;
    cursor: pointer;
    transform: scaleX(-1);
    z-index: 5;
    position: relative;
}

.non-homepage-hamburger-btn{
    top: 100px !important;
}

.hamburger-btn img{
    width: 100%;
    transform: scaleX(-1);
}

.hamburger-menu{
    position: fixed;
    width: 100vw;
    height: 100vh;
    top: 0;
    left: -110%;
    z-index: 100;
    transition: left 1s ease-in-out;
    overflow: hidden;
}

.hamburger-menu-background{
    position: absolute;
    top: 50%;
    left: 50%;
    width: 0px;
    height: 0px;
    background: var(--black);
    border-radius: 50%;
    transform: translate(-50%, -50%);
    transition: 1s ease-in-out;
}

.hamburger-menu-background.active{
    width: 5000px;
    height: 5000px;
}

.hamburger-menu a{
    font-size: 1em;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    margin: 10px;
    color: #fff;
    text-decoration: none;
}

.legal-nav{
    padding: 0 3.5em;
}

.close-btn{
    width: 30px;
    position: absolute;
    top: 45px;
    left: 60px;
    cursor: pointer;
}

.hamburger-menu.active{
    left: 0;
}

.hovered-img{
    position: absolute;
    right: -120%;
    bottom: 0;
    width: 30%;
    opacity: 0;
    transition: right 0.3s ease, opacity 0.4s ease;
    pointer-events: none;
    z-index: 10;
}

.hovered-img.active {
    right: 0; 
    opacity: 1;
}


#hovered-img2{
    width: 34%;
}

#hovered-img3{
    width: 36%;
}

#hovered-img4{
    width: 40%;
}

nav{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
    font-size: 4em;
    padding: 3.5em 3.5em 1em 3.5em;
    gap: 30px;
    text-transform: uppercase;
    font-weight: 900;
    letter-spacing: 5px;
}

.nav-item{
    position: relative;
}

.nav-item img{
    position: absolute;
    left: 0;
    top: 0;
    width: 300px;
}

nav a{
    margin: 0;
    transform: translateX(-110%);
    transition: opacity 0.5s ease, transform 1s ease;
}

nav a.animate-in {
    opacity: 1;
    transform: translateX(0);
}

nav a.animate-out {
    opacity: 0;
    transform: translateX(-225%);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.hamburger-division{
    width: 100%;
    height: 1px;
    background: var(--white);
    margin-top: 25px;
    opacity: 50%;
}

@media (max-width: 1156px){
    nav{
        padding: 3em 1em;
    }
}

@media (max-width: 824px){
    nav{
        font-size: 3em;
        padding: 4em 1em;
    }
}

@media (max-width: 640px){
    nav{
        font-size: 1.5em;
        padding: 10em 1em;
    }
}